;----------------------------------------------------------------------------------
; AutoHotkey script which automatically starts the photobooth shooting sequence
; when running DSLR Remote Pro for Windows in "clicker mode".
;
; Please note: This script is only designed to be used when "Clicker mode" is selected
; in DSLR Remote Pro for Windows. If "Clicker mode" is not selected this script will
; cause the photobooth to shoot continuously.
;
; AutoHotKey is free and can be downloaded from:
; http://www.autohotkey.com
;
; This script is designed to work with DSLR Remote Pro for Windows v2.4 or later
;
; This script comes with no warranty or support whatsoever and may
; be freely copied or modified as required.
;
; Written by Chris Breeze, www.breezesys.com
;----------------------------------------------------------------------------------
#SingleInstance force

; loop forever monitoring the status of the photobooth screen by looking
; at the window title which is in the form:
; Breeze Systems Photobooth - <screen_pathname>
Loop
{
	IfWinExist, Breeze Systems Photobooth
	{
		WinGetTitle, Title, Breeze Systems Photobooth
		if Title <> PreviousTitle
		{
			; the photobooth screen has changed
			WinActivate, Breeze Systems Photobooth
			if Title contains ready.jpg
			{
				; ready.jpg screen is displayed: send F4 to start the photobooth shooting sequence
				; (in clicker mode the software will wait for the shutter release to be pressed to take each photo)
				Send {F4}
			}
			PreviousTitle = Title
		}
	}
	Sleep 100	; sleep for 1/10th sec to avoid hogging the processor
}
Return
